<?php
/**
 * WooCommerce AvaTax
 *
 * This source file is subject to the GNU General Public License v3.0
 * that is bundled with this package in the file license.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.html
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@skyverge.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade WooCommerce AvaTax to newer
 * versions in the future. If you wish to customize WooCommerce AvaTax for your
 * needs please refer to http://docs.woocommerce.com/document/woocommerce-avatax/
 *
 * @author    SkyVerge
 * @copyright Copyright (c) 2016-2022, SkyVerge, Inc.
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GNU General Public License v3.0
 */


defined( 'ABSPATH' ) or exit;

/**
 * Display the user certificate fields.
 *
 * @type array $certificateslist usage types for exemption, as `$code => $label`
 */
?>

<style>
a.selected {
	background-color: #1F75CC;
	color: white;
	z-index: 100;
}

.messagepop {
	background-color: #FFFFFF;
	border: 1px solid #999999;
	cursor: default;
	display: none;
	margin-top: 15px;
	position: absolute;
	text-align: left;
	width: 394px;
	z-index: 50;
	padding: 25px 25px 20px;
}

label {
	display: block;
	margin-bottom: 3px;
	padding-left: 15px;
	text-indent: -15px;
}

.messagepop p,
.messagepop.div {
	border-bottom: 1px solid #EFEFEF;
	margin: 8px 0;
	padding-bottom: 8px;
}

.ontop {
	z-index: 999;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	display: none;
	position: absolute;
	background-color: #cccccc;
	color: #aaaaaa;
	opacity: .4;
	filter: alpha(opacity=50);
}

#overlay {
	position: fixed;
	display: none;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(0, 0, 0, 0.5);
	z-index: 2;
	cursor: pointer;
}

#overlayinvalidate {
	position: fixed;
	display: none;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(0, 0, 0, 0.5);
	z-index: 2;
	cursor: pointer;
}

.messagepop.container {
	left: 0;
	right: 0;
	top: 15%;
	margin-left: auto !important;
	margin-right: auto !important;
	position: fixed !important;
	outline: 1px solid black !important;
	background: white !important;
	width: 50% !important;
	padding: 30px !important;
	max-height: 80%;
	overflow-y: auto !important;
}

.messagepop hr {
	border: solid 1px #d3d3d3 !important;
	width: 100% !important;
	max-width: 100% !important;
	margin-top: 20px !important;
	margine-bottom: 20px !important;
}

.exemption-zone-select-view {
	overflow: hidden !important;
}

</style>

<div class="messagepop pop container">
   <div class="exemption-zone-select-view fieldset woocommerce"  style="float:left; width:100%; display:block; padding: 0px;">
      <div class="field">
         <h3>Exemption </h3>
         <hr>
      </div>
      <form>
         <div class="field form-row form-row-first" style="margin-right: 20px;">
            <label>Select a new state/exposure zone</label>
            <select class="select2" name="exemption-zone" id="exemption-zone-state" data-bind="options: availableExemptionZones, value: exemptionZone, optionsCaption: optionsCaption">
               <option value="">Select an Exemption Zone</option>
               <?php echo $exposure_zones?>
            </select>
         </div>
         <div class="field form-row form-row-last" style="float: left;">
            <label>&nbsp;</label>
            <button type="submit" class="button button-primary wp-element-button" style="margin-top:0px;" id="btnProceed">Proceed</button>
         </div>
      </form>
   </div>
   <div class="cert-capture-sdk-view" id="divRenderSdk" style="display:none; float:left; width:100%;">
      <hr>
      <div id = "form_container" style="display:none" > </div>
   </div>
   <div class="field form-row" style="float: right;">
      <label>&nbsp;</label>
      <button class="button button-primary wp-element-button" style="margin-top:0px; display:none;" id="btnRefreshCertificates">Refresh Certificates</button>
      <button class="button button-primary wp-element-button" style="margin-top:0px;" id="btnWcClose">Close</button>
   </div>
</div>
<div id="overlay"></div>

<div class="messagepop invalidatepop container">
   <div class="invalidate-view fieldset">
      <div class="field">
         <p id="invalidateMsg">message</p>
      </div>
   </div>
</div>
<div id="overlayinvalidate"></div>

